# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`gitea`](#gitea): manages gitea installation
* [`gitea::config`](#giteaconfig)
* [`gitea::database`](#giteadatabase)
* [`gitea::install`](#giteainstall)
* [`gitea::service`](#giteaservice)

## Classes

### <a name="gitea"></a>`gitea`

manages gitea installation

#### Parameters

The following parameters are available in the `gitea` class:

* [`version`](#version)
* [`home`](#home)
* [`user`](#user)
* [`group`](#group)
* [`repository_path`](#repository_path)
* [`app_name`](#app_name)
* [`domain`](#domain)
* [`run_mode`](#run_mode)
* [`database_type`](#database_type)
* [`database_host`](#database_host)
* [`database_name`](#database_name)
* [`database_user`](#database_user)
* [`database_password`](#database_password)
* [`http_protocol`](#http_protocol)
* [`http_addr`](#http_addr)
* [`root_url`](#root_url)
* [`disable_registration`](#disable_registration)
* [`disable_git_hooks`](#disable_git_hooks)
* [`lfs_enabled`](#lfs_enabled)
* [`lfs_data_path`](#lfs_data_path)
* [`http_port`](#http_port)

##### <a name="version"></a>`version`

Data type: `String[1]`

Gitlab Version to install

##### <a name="home"></a>`home`

Data type: `String[1]`

home path of the gitea user

##### <a name="user"></a>`user`

Data type: `String[1]`

gitea user

##### <a name="group"></a>`group`

Data type: `String[1]`

gitea user group

##### <a name="repository_path"></a>`repository_path`

Data type: `String[1]`

where repository should be stored

##### <a name="app_name"></a>`app_name`

Data type: `String[1]`

name for your gitea instance

##### <a name="domain"></a>`domain`

Data type: `String[1]`

domain where your instance is

##### <a name="run_mode"></a>`run_mode`

Data type: `Enum['dev', 'prod']`

in which mode gitea should be run (dev, prod)

##### <a name="database_type"></a>`database_type`

Data type: `Enum['postgresql', 'sqlite']`

which database should be configured (postgresql, sqlite)

##### <a name="database_host"></a>`database_host`

Data type: `String`

host of the database (currently only for postgresql)

##### <a name="database_name"></a>`database_name`

Data type: `String`

name of the database (currently only for postgresql)

##### <a name="database_user"></a>`database_user`

Data type: `String`

user of the database (currently only for postgresql)

##### <a name="database_password"></a>`database_password`

Data type: `String`

password of the database (currently only for postgresql)

##### <a name="http_protocol"></a>`http_protocol`

Data type: `Enum['http','unix']`

which protocol should be used (unix, http)

##### <a name="http_addr"></a>`http_addr`

Data type: `String[1]`

listen address

##### <a name="root_url"></a>`root_url`

Data type: `String[1]`

root url of the gitea instance e.g '%(PROTOCOL)s://%(DOMAIN)s:%(HTTP_PORT)s/'

##### <a name="disable_registration"></a>`disable_registration`

Data type: `Boolean`

disables registration

##### <a name="disable_git_hooks"></a>`disable_git_hooks`

Data type: `Boolean`

disables git hooks in the webui

##### <a name="lfs_enabled"></a>`lfs_enabled`

Data type: `Boolean`

enables git LFS for repositories

##### <a name="lfs_data_path"></a>`lfs_data_path`

Data type: `Stdlib::Absolutepath`

where should lfs data be stored

##### <a name="http_port"></a>`http_port`

Data type: `Integer`



### <a name="giteaconfig"></a>`gitea::config`

The gitea::config class.

### <a name="giteadatabase"></a>`gitea::database`

The gitea::database class.

### <a name="giteainstall"></a>`gitea::install`

The gitea::install class.

### <a name="giteaservice"></a>`gitea::service`

The gitea::service class.

